Box2D: b2WeldJoint Class Reference

# b2WeldJoint Class Reference

`#include <b2WeldJoint.h>`

Inheritance diagram for b2WeldJoint:

List of all members.

## Public Member Functions

b2Vec2 | GetAnchorA () const
| Get the anchor point on bodyA in world coordinates.
b2Vec2 | GetAnchorB () const
| Get the anchor point on bodyB in world coordinates.
b2Vec2 | GetReactionForce (float32 inv_dt) const
| Get the reaction force on body2 at the joint anchor in Newtons.
float32 | GetReactionTorque (float32 inv_dt) const
| Get the reaction torque on body2 in N*m.

## Protected Member Functions

| b2WeldJoint (const b2WeldJointDef *def)
void | InitVelocityConstraints (const b2TimeStep &step)
void | SolveVelocityConstraints (const b2TimeStep &step)
bool | SolvePositionConstraints (float32 baumgarte)

## Protected Attributes

b2Vec2 | m_localAnchorA
b2Vec2 | m_localAnchorB
float32 | m_referenceAngle
b2Vec3 | m_impulse
b2Mat33 | m_mass

## Friends

class | b2Joint

## Detailed Description

A weld joint essentially glues two bodies together. A weld joint may distort somewhat because the island constraint solver is approximate.

## Constructor & Destructor Documentation

b2WeldJoint::b2WeldJoint | ( | const b2WeldJointDef * | def | ) | `[protected]`

## Member Function Documentation

b2Vec2 b2WeldJoint::GetAnchorA | ( |  | ) | const`[virtual]`

Get the anchor point on bodyA in world coordinates.

Implements b2Joint.

b2Vec2 b2WeldJoint::GetAnchorB | ( |  | ) | const`[virtual]`

Get the anchor point on bodyB in world coordinates.

Implements b2Joint.

b2Vec2 b2WeldJoint::GetReactionForce | ( | float32 | inv_dt | ) | const`[virtual]`

Get the reaction force on body2 at the joint anchor in Newtons.

Implements b2Joint.

float32 b2WeldJoint::GetReactionTorque | ( | float32 | inv_dt | ) | const`[virtual]`

Get the reaction torque on body2 in N*m.

Implements b2Joint.

void b2WeldJoint::InitVelocityConstraints | ( | const b2TimeStep & | step | ) | `[protected, virtual]`

Implements b2Joint.

bool b2WeldJoint::SolvePositionConstraints | ( | float32 | baumgarte | ) | `[protected, virtual]`

Implements b2Joint.

void b2WeldJoint::SolveVelocityConstraints | ( | const b2TimeStep & | step | ) | `[protected, virtual]`

Implements b2Joint.

## Friends And Related Function Documentation

friend class b2Joint`[friend]`

## Member Data Documentation

b2Vec3 b2WeldJoint::m_impulse`[protected]`

b2Vec2 b2WeldJoint::m_localAnchorA`[protected]`

b2Vec2 b2WeldJoint::m_localAnchorB`[protected]`

b2Mat33 b2WeldJoint::m_mass`[protected]`

float32 b2WeldJoint::m_referenceAngle`[protected]`

The documentation for this class was generated from the following files:

- Box2D/Box2D/Dynamics/Joints/b2WeldJoint.h
- Box2D/Box2D/Dynamics/Joints/b2WeldJoint.cpp